# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media
Class MediaFeed<F extends BaseFeed,E extends BaseEntry>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<F,E>
                      com.google.gdata.data.media.MediaFeed<F,E>

Type Parameters:
  `F` - the feed class associated with the bound subtype.
  `E` - the entry class associated with the bound subtype.

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor

Direct Known Subclasses:
  ContentFeed, DocumentFeed, DocumentListFeed, GlossaryFeed, GoogleBaseMediaFeed, GphotoFeed, MapFeed, TranslationMemoryFeed, VideoFeed

    public abstract class MediaFeed<F extends BaseFeed,E extends BaseEntry>

extends BaseFeed<F,E>

The MediaFeed class extends `BaseFeed` to add media-related operations for feeds that contain media content.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`protected` `MediaFeed(java.lang.Class<? extends E> entryClass)`
`protected` `MediaFeed(java.lang.Class<? extends E> entryClass, BaseFeed<?,?> sourceFeed)`

Method Summary
`E` `insert(MediaSource media)` Inserts a new media resource into the feed, if the feed is currently associated with a Service.

`protected

`<T extends E> T`

`

`insert(MediaSource media, java.lang.Class<T> mediaEntryClass)`
Inserts a new media resource into the feed, if the feed is currently associated with a Service.

`void` `setService(Service v)` Sets that GData `Service` instance associated with this feed.

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, declareExtensions, generate, generateAtom, generateFeedEnd, generateFeedStart, generateRss, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### MediaFeed

    protected MediaFeed(java.lang.Class<? extends E> entryClass)

### MediaFeed

    protected MediaFeed(java.lang.Class<? extends E> entryClass,
                        BaseFeed<?,?> sourceFeed)

Method Detail

### setService

    public void setService(Service v)

  Description copied from class: `BaseFeed`
  Sets that GData `Service` instance associated with this feed.

  Specified by:
    `setService` in interface `IAtom`
  Overrides:
    `setService` in class `BaseFeed<F extends BaseFeed,E extends BaseEntry>`

### insert

    public E insert(MediaSource media)
                               throws ServiceException,
                                      java.io.IOException

  Inserts a new media resource into the feed, if the feed is currently associated with a Service.

  Returns:
    the inserted media Entry returned by the Service.
  Throws:
    `ServiceException` - If there is no associated GData service or the service is unable to perform the insertion.
    `java.lang.UnsupportedOperationException` - If insert is not supported for the target feed.
    `java.io.IOException` - If there is an error communicating with the GData service.

### insert

    protected <T extends E> T insert(MediaSource media,
                                     java.lang.Class<T> mediaEntryClass)
                          throws ServiceException,
                                 java.io.IOException

  Inserts a new media resource into the feed, if the feed is currently associated with a Service. This method is meant for subclasses to use when they support heterogeneous feeds.

  Returns:
    the inserted media Entry returned by the Service.
  Throws:
    `ServiceException` - If there is no associated GData service or the service is unable to perform the insertion.
    `java.lang.UnsupportedOperationException` - If insert is not supported for the target feed.
    `java.io.IOException` - If there is an error communicating with the GData service.